Eclipse Remote Application Platform

## org.eclipse.swt.events
Interface TreeListener

All Known Implementing Classes:
  TreeAdapter

    public interface TreeListener

Classes which implement this interface provide methods that deal with the expanding and collapsing of tree branches.

After creating an instance of a class that implements this interface it can be added to a tree control using the `addTreeListener` method and removed using the `removeTreeListener` method. When a branch of the tree is expanded or collapsed, the appropriate method will be invoked.

See Also:
  `TreeAdapter`, `TreeEvent`

Method Summary
`void` `treeCollapsed(TreeEvent e)` Sent when a tree branch is collapsed.
`void` `treeExpanded(TreeEvent e)` Sent when a tree branch is expanded.

Method Detail

### treeCollapsed

    void treeCollapsed(TreeEvent e)

  Sent when a tree branch is collapsed.

  Parameters:
    `e` - an event containing information about the tree operation

### treeExpanded

    void treeExpanded(TreeEvent e)

  Sent when a tree branch is expanded.

  Parameters:
    `e` - an event containing information about the tree operation

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2013. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0